<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.9.1"/>
<title>Flair: Vector3DSpinBox.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_hds.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">Flair
   </div>
   <div id="projectbrief">Framework Libre Air</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.9.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('_vector3_d_spin_box_8h_source.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">Vector3DSpinBox.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_vector3_d_spin_box_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">// %flair:license{</span></div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment">// This file is part of the Flair framework distributed under the</span></div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment">// CECILL-C License, Version 1.0.</span></div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment">// %flair:license}</span></div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="comment"></span><span class="preprocessor">#ifndef VECTOR3DSPINBOX_H</span></div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="preprocessor">#define VECTOR3DSPINBOX_H</span></div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;</div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_box_8h.html">Box.h</a>&gt;</span></div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_vector3_d_8h.html">Vector3D.h</a>&gt;</span></div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;</div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespaceflair.html">flair</a> {</div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="keyword">namespace </span>gui {</div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="keyword">class </span>Layout;</div>
<div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;</div>
<div class="line"><a name="l00028"></a><span class="lineno"><a class="line" href="classflair_1_1gui_1_1_vector3_d_spin_box.html">   28</a></span>&#160;<span class="keyword">class </span><a class="code" href="classflair_1_1gui_1_1_vector3_d_spin_box.html">Vector3DSpinBox</a> : <span class="keyword">public</span> <a class="code" href="classflair_1_1gui_1_1_box.html">Box</a> {</div>
<div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;<span class="keyword">public</span>:</div>
<div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;  <a class="code" href="classflair_1_1gui_1_1_vector3_d_spin_box.html#aab8ded779022c71d49ab8d828caf4c38">Vector3DSpinBox</a>(<span class="keyword">const</span> <a class="code" href="classflair_1_1gui_1_1_layout_position.html">LayoutPosition</a> *position, std::string name, <span class="keywordtype">double</span> min,</div>
<div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;                  <span class="keywordtype">double</span> max, <span class="keywordtype">double</span> step, <span class="keywordtype">int</span> decimals = 2,</div>
<div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;                  <a class="code" href="classflair_1_1core_1_1_vector3_d.html">core::Vector3Df</a> default_value = <a class="code" href="classflair_1_1core_1_1_vector3_d.html">core::Vector3Df</a>(0, 0, 0));</div>
<div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;</div>
<div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;  <a class="code" href="classflair_1_1gui_1_1_vector3_d_spin_box.html#aa515751c54ff8fd98cca84f4c374929b">~Vector3DSpinBox</a>();</div>
<div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;</div>
<div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;  <a class="code" href="classflair_1_1core_1_1_vector3_d.html">core::Vector3Df</a> <a class="code" href="classflair_1_1gui_1_1_vector3_d_spin_box.html#abe057c07f127a2647e1f073896422efb">Value</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;  <span class="comment">// operator core::Vector3D() const;</span></div>
<div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;<span class="keyword">private</span>:</div>
<div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;  <span class="keywordtype">void</span> XmlEvent(<span class="keywordtype">void</span>);</div>
<div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;</div>
<div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;  <a class="code" href="classflair_1_1core_1_1_vector3_d.html">core::Vector3D&lt;double&gt;</a> box_value;</div>
<div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;};</div>
<div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;</div>
<div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;} <span class="comment">// end namespace gui</span></div>
<div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;} <span class="comment">// end namespace flair</span></div>
<div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;</div>
<div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;<span class="preprocessor">#endif // VECTOR3DSPINBOX_H</span></div>
<div class="ttc" id="namespaceflair_html"><div class="ttname"><a href="namespaceflair.html">flair</a></div><div class="ttdoc">namespace of the flair Framework </div><div class="ttdef"><b>Definition:</b> Ahrs.h:19</div></div>
<div class="ttc" id="classflair_1_1gui_1_1_vector3_d_spin_box_html_abe057c07f127a2647e1f073896422efb"><div class="ttname"><a href="classflair_1_1gui_1_1_vector3_d_spin_box.html#abe057c07f127a2647e1f073896422efb">flair::gui::Vector3DSpinBox::Value</a></div><div class="ttdeci">core::Vector3Df Value(void) const </div><div class="ttdoc">Value. </div></div>
<div class="ttc" id="classflair_1_1core_1_1_vector3_d_html"><div class="ttname"><a href="classflair_1_1core_1_1_vector3_d.html">flair::core::Vector3D&lt; float &gt;</a></div></div>
<div class="ttc" id="_vector3_d_8h_html"><div class="ttname"><a href="_vector3_d_8h.html">Vector3D.h</a></div><div class="ttdoc">Class defining a 3D vector. </div></div>
<div class="ttc" id="classflair_1_1gui_1_1_box_html"><div class="ttname"><a href="classflair_1_1gui_1_1_box.html">flair::gui::Box</a></div><div class="ttdoc">Abstract class to display a box on the ground station. </div><div class="ttdef"><b>Definition:</b> Box.h:35</div></div>
<div class="ttc" id="classflair_1_1gui_1_1_vector3_d_spin_box_html_aab8ded779022c71d49ab8d828caf4c38"><div class="ttname"><a href="classflair_1_1gui_1_1_vector3_d_spin_box.html#aab8ded779022c71d49ab8d828caf4c38">flair::gui::Vector3DSpinBox::Vector3DSpinBox</a></div><div class="ttdeci">Vector3DSpinBox(const LayoutPosition *position, std::string name, double min, double max, double step, int decimals=2, core::Vector3Df default_value=core::Vector3Df(0, 0, 0))</div><div class="ttdoc">Constructor. </div></div>
<div class="ttc" id="classflair_1_1gui_1_1_vector3_d_spin_box_html"><div class="ttname"><a href="classflair_1_1gui_1_1_vector3_d_spin_box.html">flair::gui::Vector3DSpinBox</a></div><div class="ttdoc">Class displaying 3 QDoubleSpinBox for x,y,z on the ground station. </div><div class="ttdef"><b>Definition:</b> Vector3DSpinBox.h:28</div></div>
<div class="ttc" id="classflair_1_1gui_1_1_vector3_d_spin_box_html_aa515751c54ff8fd98cca84f4c374929b"><div class="ttname"><a href="classflair_1_1gui_1_1_vector3_d_spin_box.html#aa515751c54ff8fd98cca84f4c374929b">flair::gui::Vector3DSpinBox::~Vector3DSpinBox</a></div><div class="ttdeci">~Vector3DSpinBox()</div><div class="ttdoc">Destructor. </div></div>
<div class="ttc" id="classflair_1_1gui_1_1_layout_position_html"><div class="ttname"><a href="classflair_1_1gui_1_1_layout_position.html">flair::gui::LayoutPosition</a></div><div class="ttdoc">Class to define a position in a layout on the ground station. </div><div class="ttdef"><b>Definition:</b> LayoutPosition.h:28</div></div>
<div class="ttc" id="_box_8h_html"><div class="ttname"><a href="_box_8h.html">Box.h</a></div><div class="ttdoc">Abstract class to display a box on the ground station. </div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_33c2ee9b1665499374b4225c427cf176.html">igep</a></li><li class="navelem"><a class="el" href="dir_f1fe274389177bd7e17de7949c4ffada.html">flair-src</a></li><li class="navelem"><a class="el" href="dir_3ef62148cf94871b4b6ee5d6e3a989c1.html">lib</a></li><li class="navelem"><a class="el" href="dir_97265977dbbd48c696782ccac102bad5.html">FlairCore</a></li><li class="navelem"><a class="el" href="dir_6c198461db290ac9abcdd44184573216.html">src</a></li><li class="navelem"><a class="el" href="_vector3_d_spin_box_8h.html">Vector3DSpinBox.h</a></li>
    <li class="footer">Generated on Thu Jan 31 2019 12:34:23 for Flair by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.9.1 </li>
  </ul>
</div>
</body>
</html>
